Skip to main content
GET
List runs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50

Runs per page.

Required range: 1 <= x <= 100
cursor
string

The next_cursor of the previous page.

kind
enum<string>

Only runs of this kind.

Available options:
pipeline,
promotion,
restore,
backup,
clone,
dr_drill,
environment_hydrate
status
string

Only runs in this status.

application_id
string<uuid>

Only runs of this application.

environment_id
string<uuid>

Only runs in this environment.

cluster_id
string<uuid>

Only backup, restore and clone runs touching this cluster.

stack_name
string

Only backup, restore and clone runs of this stack.

batch_id
string<uuid>

Only data runs of this batch.

Response

One page of runs.

runs
object[]
required
next_cursor
string | null
required

Pass back as cursor for the next page; null on the last page.